Creating notes

Creates a note.

Request

POST

https://api-metrika.yandex.net/management/v1/counter/{counterId}/chart_annotations

Path parameters

Name

Description

counterId

Type: integer

ID of the tag to create a note for.

Body

application/json
{
  "chart_annotation": {
    "id": 0,
    "date": "2025-01-01",
    "time": "12:00:00",
    "title": "example",
    "message": "example",
    "group": "example"
  }
}

Name

Description

chart_annotation

Type: MetrikaChartAnnotation

Note in the chart.

Example
{
  "id": 0,
  "date": "2025-01-01",
  "time": "12:00:00",
  "title": "example",
  "message": "example",
  "group": "example"
}

MetrikaChartAnnotation

Note in the chart.

Name

Description

date

Type: string<date>

Date.

Example: 2025-01-01

group

Type: string

Group. Possible values:

  • A: Group A.
  • B: Group B.
  • C: Group C.
  • D: Group D.
  • E: Group E.

Example: example

title

Type: string

Title.

Min length: 0

Max length: 255

Example: example

id

Type: integer

Comment ID.

message

Type: string

Description.

Min length: 0

Max length: 1023

Example: example

time

Type: string<time>

Time.

Example: 12:00:00

Example
{
  "id": 0,
  "date": "2025-01-01",
  "time": "12:00:00",
  "title": "example",
  "message": "example",
  "group": "example"
}

Responses

200 OK

OK

Body

application/json
{
  "chart_annotation": {
    "id": 0,
    "date": "2025-01-01",
    "time": "12:00:00",
    "title": "example",
    "message": "example",
    "group": "example"
  }
}

Name

Description

chart_annotation

Type: MetrikaChartAnnotation

Note in the chart.

Example
{
  "id": 0,
  "date": "2025-01-01",
  "time": "12:00:00",
  "title": "example",
  "message": "example",
  "group": "example"
}